package com.bonus.core.account.dto;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;

import java.time.LocalDate;

public class CardPublishDTO {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("卡物理号")
   private @NotNull(
   message = "物理卡号不能为空！"
) String serialNum;
   @ApiModelProperty("押金（单位分）")
   private Integer deposit;
   @ApiModelProperty("工本费（单位分）")
   private Integer productCost;
   @ApiModelProperty("卡片有效期")
   private LocalDate validityDate;
   @ApiModelProperty("三方卡号")
   private String thirdSerialNum;
   @ApiModelProperty("第三方人员编号")
   private String custThirdId;

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getDeposit() {
      return this.deposit;
   }

   public Integer getProductCost() {
      return this.productCost;
   }

   public LocalDate getValidityDate() {
      return this.validityDate;
   }

   public String getThirdSerialNum() {
      return this.thirdSerialNum;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public CardPublishDTO setCustId(final Long custId) {
      this.custId = custId;
      return this;
   }

   public CardPublishDTO setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
      return this;
   }

   public CardPublishDTO setDeposit(final Integer deposit) {
      this.deposit = deposit;
      return this;
   }

   public CardPublishDTO setProductCost(final Integer productCost) {
      this.productCost = productCost;
      return this;
   }

   public CardPublishDTO setValidityDate(final LocalDate validityDate) {
      this.validityDate = validityDate;
      return this;
   }

   public CardPublishDTO setThirdSerialNum(final String thirdSerialNum) {
      this.thirdSerialNum = thirdSerialNum;
      return this;
   }

   public CardPublishDTO setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
      return this;
   }

}
